POST /sessionkeyforwarder
/sessionkeyforwarder
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
SessionKeyForwarder object creation
Show optional properties
{
"name": "string"
}
{
"_last_modified": "string",
"enable": false,
"ip_ports": [
{
"hostname": "string",
"ip": {
"addr": "string",
"type": "string"
},
"name": "string",
"port": 0
}
],
"name": "string",
"pki_profile_ref": "string",
"ssl_key_and_certificate_ref": "string",
"ssl_profile_ref": "string",
"tenant_ref": "string",
"url": "string",
"use_mgmt": false,
"uuid": "string"
}
OK
{
"_last_modified": "string",
"enable": false,
"ip_ports": [
{
"hostname": "string",
"ip": {
"addr": "string",
"type": "string"
},
"name": "string",
"port": 0
}
],
"name": "string",
"pki_profile_ref": "string",
"ssl_key_and_certificate_ref": "string",
"ssl_profile_ref": "string",
"tenant_ref": "string",
"url": "string",
"use_mgmt": false,
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Enable or disable Session Key Forwarder. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
IP addresses and ports to be used for connection with Session Key Forwarder. At least one entry required; maximum 16 (matches the per-core stats slot limit). Field introduced in 32.1.4. Minimum of 1 items required. Maximum of 16 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the Session Key Forwarder Profile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
PKI profile used to validate the SSL certificate presented by a server. It is a reference to an object of type PKIProfile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Service engines will present this SSL certificate to the server. It is a reference to an object of type SSLKeyAndCertificate. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SSL profile defines ciphers and SSL versions to be used for Session Key Forwarder. It is a reference to an object of type SSLProfile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Tenant reference for the Session Key Forwarder object. It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
If enabled, Connection with Session Key Forwarder will use the management network. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the Session Key Forwarder Profile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/sessionkeyforwarder